%define	perl_version %(rpm -q --qf '%%{epoch}:%%{VERSION}' perl)
%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	A GTK+ IRC client
Name:		xchat
Version:	2.8.8
Release:	%mkrel 17
Group:		Networking/IRC
License:	GPLv2+
Url:		http://www.xchat.org
Source0:	http://www.xchat.org/files/source/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:		xchat-2.6.4-ctcp_version.patch
Patch2:		xchat-2.0.8-nicksuffix.patch
Patch3:		xchat-2.6.1-servlist.patch
Patch10:	xchat-2.8.6-CVE-2009-0315-debian.patch 
Patch11:	xchat-2.8.8-glib.patch
BuildRequires:	bison
Buildrequires:	gtk+2-devel
BuildRequires:	openssl-devel
BuildRequires:	imagemagick
BuildRequires:	GConf2
BuildRequires:	desktop-file-utils
BuildRequires:	libsexy-devel
BuildRequires:	gettext-devel
BuildRequires:	perl-devel
BuildRequires:	python-devel
BuildRequires:	tcl
BuildRequires:	tcl-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libntlm-devel
Obsoletes:	xchat-dbus < 2.6.8
Provides:	xchat-dbus = %{version}-%{release}
Obsoletes:	xchat-systray-integration < 2.4.6
# To get the balloon alerts working
Requires:	libnotify

%description
X-Chat is yet another IRC client for the X Window System, using the Gtk+
toolkit. It is pretty easy to use compared to the other Gtk+ IRC clients and
the interface is quite nicely designed.

%package devel
Summary:	XChat header for plugin development
Group:		Development/C

%description devel
This package contains xchat-plugin.h needed to build external plugins.

%package perl
Summary:	XChat Perl plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Requires:	perl-base = %perl_version

%description perl
Provides Perl scripting capability to XChat.

%package python
Summary:	XChat Python plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description python
Provides Python scripting capability to XChat.

%package tcl
Summary:	XChat TCL plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description tcl
Provides tcl scripting capability to XChat.

%prep
%setup -q
%patch0
%patch2 -p1
%patch3 -p0 -b .default_server
%patch10 -p1 -b .cve-2009-0315
%patch11 -p0 -b .glib

%build
# fix build against latest GTK+
sed -i -e 's/#define GTK_DISABLE_DEPRECATED//g' src/fe-gtk/*.c

./autogen.sh
# (tpg) disable Xft as it breaks RTL languages
# use slower pango instead

%configure2_5x  \
	--enable-openssl \
	--enable-ipv6 \
	--disable-rpath \
	--enable-threads=posix \
	--disable-xft \
	--enable-shm \
	--enable-perl \
	--enable-dbus \
	--enable-python \
	--enable-tcl=%{_libdir} \
	--disable-textfe \
	--enable-spell=libsexy \

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert xchat.png -geometry 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert xchat.png -geometry 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert xchat.png -geometry 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/xchat.desktop

desktop-file-install \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="IRCClient" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

mkdir -p %{buildroot}%{_includedir}
cp plugins/xchat-plugin.h %{buildroot}%{_includedir}/

rm -rf %{buildroot}%{_libdir}/xchat/plugins/*.la

%preun 
%preun_uninstall_gconf_schemas apps_xchat_url_handler

%files -f xchat.lang
%doc README ChangeLog faq.html plugins/plugin20.html
%{_bindir}/xchat
%{_datadir}/applications/xchat.desktop
%{_datadir}/dbus-1/services/org.xchat.service.service
%{_datadir}/pixmaps/xchat.png
%{_iconsdir}/hicolor/*/apps/*.png
%dir %{_libdir}/xchat/plugins
%dir %{_libdir}/xchat
%{_sysconfdir}/gconf/schemas/apps_xchat_url_handler.schemas

%files devel
%{_includedir}/xchat-plugin.h

%files perl
%doc README
%{_libdir}/xchat/plugins/perl.so

%files python
%doc README
%{_libdir}/xchat/plugins/python.so

%files tcl
%doc README
%{_libdir}/xchat/plugins/tcl.so




%changelog

* Mon Mar 18 2013 fwang <fwang> 2.8.8-17.mga3
+ Revision: 403727
- rebuild for new perl

* Mon Jan 14 2013 umeabot <umeabot> 2.8.8-16.mga3
+ Revision: 386696
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 shlomif <shlomif> 2.8.8-15.mga3
+ Revision: 314455
- Rebuild for the new perl

* Thu Aug 23 2012 shlomif <shlomif> 2.8.8-14.mga3
+ Revision: 283308
- Rebuild for new perl

* Sun Jun 10 2012 shlomif <shlomif> 2.8.8-13.mga3
+ Revision: 259550
- Rebuild for fixing a regression with the new OpenSSL.
  See:
  http://comments.gmane.org/gmane.linux.mageia.devel/16183 .

* Thu May 31 2012 fwang <fwang> 2.8.8-12.mga3
+ Revision: 251987
- fix build with latest glib
- rebuild for new perl

  + ovitters <ovitters>
    - further clean spec
    - clean spec

* Mon Oct 17 2011 pterjan <pterjan> 2.8.8-10.mga2
+ Revision: 155603
- Rebuild for perl 5.14.2

* Wed Jul 06 2011 fwang <fwang> 2.8.8-9.mga2
+ Revision: 119175
- rebuild for new tcl

* Sun Jun 19 2011 jquelin <jquelin> 2.8.8-7.mga2
+ Revision: 109911
- perl 5.14.1 rebuild

* Sun Jun 19 2011 pterjan <pterjan> 2.8.8-6.mga2
+ Revision: 109848
- Rebuild for perl 5.14.1

* Sun Jun 12 2011 pterjan <pterjan> 2.8.8-5.mga2
+ Revision: 104317
- Rebuild for perl 5.14

* Thu Feb 24 2011 ennael <ennael> 2.8.8-4.mga1
+ Revision: 59054
- more cleaning
- clean spec file
- add mageia in list
- imported package xchat

